{ stdenv, fetchurl, dbus, glib, gtkmm, pkgconfig }:

stdenv.mkDerivation rec {
  name = "dbus-cplusplus-${version}";
  version = "0.9.0";

  src = fetchurl {
    url = "mirror://sourceforge/dbus-cplusplus/dbus-c%2B%2B/0.9.0/libdbus-c%2B%2B-0.9.0.tar.gz";
    name = "dbus-cplusplus.tar.gz";
    sha256 = "0qafmy2i6dzx4n1dqp6pygyy6gjljnb7hwjcj2z11c1wgclsq4dw";
  };

  buildInputs = [ dbus glib gtkmm pkgconfig ];

  configureFlags = "--disable-ecore";

  meta = with stdenv.lib; {
    homepage = http://dbus-cplusplus.sourceforge.net;
    description = "C++ API for D-BUS";
    license = licenses.gpl2Plus;
    platforms = platforms.linux;
    maintainers = [ maintainers.goibhniu ];
  };
}
